Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.meta
Class LocalService

    java.lang.Object
      org.teleal.cling.model.meta.Service
          org.teleal.cling.model.meta.LocalService

    public class LocalService

extends Service

Field Summary
`protected Map<Action,ActionExecutor>` | `actionExecutors`
`protected ServiceManager` | `manager`
`protected Map<StateVariable,StateVariableAccessor>` | `stateVariableAccessors`
`protected Set<Class>` | `stringConvertibleTypes`
`protected boolean` | `supportsQueryStateVariables`

Constructor Summary
`LocalService(Action[] actions, StateVariable[] stateVariables)`
`LocalService(Map<Action,ActionExecutor> actionExecutors, Map<StateVariable,StateVariableAccessor> stateVariableAccessors, ServiceManager serviceManager, Set<Class> stringConvertibleTypes, boolean supportsQueryStateVariables)`
`LocalService(UDAVersion version, Map<Action,ActionExecutor> actionExecutors, Map<StateVariable,StateVariableAccessor> stateVariableAccessors, ServiceManager serviceManager, Set<Class> stringConvertibleTypes, boolean supportsQueryStateVariables)`

Method Summary
`StateVariableAccessor` | `getAccessor(StateVariable stateVariable)`
`StateVariableAccessor` | `getAccessor(String stateVariableName)`
`static Constructor<LocalService>` | `getConstructor()`
`ActionExecutor` | `getExecutor(Action action)`
`ActionExecutor` | `getExecutor(String actionName)`
`ServiceManager` | `getManager()`
`Action` | `getQueryStateVariableAction()`
`Set<Class>` | `getStringConvertibleTypes()`
`boolean` | `isStringConvertibleType(Class clazz)`
`boolean` | `isStringConvertibleType(Object o)`
`boolean` | `isSupportsQueryStateVariables()`

Methods inherited from class org.teleal.cling.model.meta.Service
`getAction, getActions, getDatatype, getDeviceService, getRelatedStateVariable, getStateVariable, getStateVariables, getVersion, hasActions, hasStateVariables, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### manager

    protected final ServiceManager manager

### actionExecutors

    protected final Map<Action,ActionExecutor> actionExecutors

### stateVariableAccessors

    protected final Map<StateVariable,StateVariableAccessor> stateVariableAccessors

### stringConvertibleTypes

    protected final Set<Class> stringConvertibleTypes

### supportsQueryStateVariables

    protected final boolean supportsQueryStateVariables

Constructor Detail

### LocalService

    public LocalService(Action[] actions,
                        StateVariable[] stateVariables)
                 throws ValidationException

Throws:
  `ValidationException`

### LocalService

    public LocalService(Map<Action,ActionExecutor> actionExecutors,
                        Map<StateVariable,StateVariableAccessor> stateVariableAccessors,
                        ServiceManager serviceManager,
                        Set<Class> stringConvertibleTypes,
                        boolean supportsQueryStateVariables)
                 throws ValidationException

Throws:
  `ValidationException`

### LocalService

    public LocalService(UDAVersion version,
                        Map<Action,ActionExecutor> actionExecutors,
                        Map<StateVariable,StateVariableAccessor> stateVariableAccessors,
                        ServiceManager serviceManager,
                        Set<Class> stringConvertibleTypes,
                        boolean supportsQueryStateVariables)
                 throws ValidationException

Throws:
  `ValidationException`

Method Detail

### getConstructor

    public static Constructor<LocalService> getConstructor()

### getManager

    public ServiceManager getManager()

### isSupportsQueryStateVariables

    public boolean isSupportsQueryStateVariables()

### getStringConvertibleTypes

    public Set<Class> getStringConvertibleTypes()

### isStringConvertibleType

    public boolean isStringConvertibleType(Object o)

### isStringConvertibleType

    public boolean isStringConvertibleType(Class clazz)

### getAccessor

    public StateVariableAccessor getAccessor(String stateVariableName)

### getAccessor

    public StateVariableAccessor getAccessor(StateVariable stateVariable)

### getExecutor

    public ActionExecutor getExecutor(String actionName)

### getExecutor

    public ActionExecutor getExecutor(Action action)

### getQueryStateVariableAction

    public Action getQueryStateVariableAction()

  Specified by:
    `getQueryStateVariableAction` in class `Service`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.